> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user webhook URL



## OpenAPI

````yaml get /webhook/get-webhook-trigger
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /webhook/get-webhook-trigger:
    get:
      tags:
        - Webhook
      summary: Get user webhook URL
      operationId: WebhookController_getWebhook
      parameters: []
      responses:
        '200':
          description: Webhook retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook_trigger:
                    type: string
                    nullable: true
                    example: https://example.com/webhook
                  message:
                    type: string
                    example: Webhook retrieved successfully
        '400':
          description: User not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````